#ifndef __ac_FIRST__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1__
#define __ac_FIRST__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1__
#define __ac_FIRST_FILE__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_inc_Puma_Manipulators_h__

#ifndef __ac_h_
#define __ac_h_
#ifdef __cplusplus
namespace AC {
  typedef const char* Type;
  enum JPType { CALL = 0x0004, EXECUTION = 0x0008, CONSTRUCTION = 0x0010, DESTRUCTION = 0x0020 };
  struct Action {
    void **_args; void *_result; void *_target; void *_that; void *_fptr;
    void (*_wrapper)(Action &);
    inline void trigger () { _wrapper (*this); }
  };
  struct AnyResultBuffer {};
  template <typename T> struct ResultBuffer : public AnyResultBuffer {
    struct { char _array[sizeof (T)]; } _data;
    ~ResultBuffer () { ((T&)_data).T::~T(); }
    operator T& () const { return (T&)_data; }
  };
  template <typename T, typename N> struct TL {
    typedef T type; typedef N next; enum { ARGS = next::ARGS + 1 };
  };
  struct TLE { enum { ARGS = 0 }; };
  template <typename T> struct Referred { typedef T type; };
  template <typename T> struct Referred<T &> { typedef T type; };
  template <typename TL, int I> struct Arg {
    typedef typename Arg<typename TL::next, I - 1>::Type Type;
    typedef typename Referred<Type>::type ReferredType;
  };
  template <typename TL> struct Arg<TL, 0> {
    typedef typename TL::type Type;
    typedef typename Referred<Type>::type ReferredType;
  };
  template <typename T> int ttest(...);
  template <typename T> char ttest(typename T::__AttrTypes const volatile *);
  template<typename T> struct HasTypeInfo {
    enum { RET=((sizeof(ttest<T>(0))==1)?1:0) };
  };
  template<typename T, int HAVE = HasTypeInfo<T>::RET> struct TypeInfo {
    enum { AVAILABLE = 0 };
  };
  template<typename T> struct TypeInfo<T, 1> {
    enum { AVAILABLE = 1 };
    enum { ELEMENTS = T::__AttrTypes::ARGS };
    template<int I>
    struct Member : public AC::Arg<typename T::__AttrTypes,I> {};
    template<int I>
    static typename Member<I>::ReferredType* member (T* obj) {
      return (typename Member<I>::ReferredType*)obj->__attr (I);
    }
    static const char *member_name (T &obj, int i) {
      return obj.__attr_name (i);
    }
	 };
  template <class Aspect, int Index>
  struct CFlow {
    static int &instance () {
      static int counter = 0;
      return counter;
    }
    CFlow () { instance ()++; }
    ~CFlow () { instance ()--; }
    static bool active () { return instance () > 0; }
  };
}
inline void * operator new (__SIZE_TYPE__, AC::AnyResultBuffer *p) { return p; }
inline void operator delete (void *, AC::AnyResultBuffer *) { } // for VC++
#endif // __cplusplus
#endif // __ac_h_
#endif // __ac_FIRST__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1__

#line 1 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
// This file is part of PUMA.
// Copyright (C) 1999-2003  The PUMA developer team.
//                                                                
// This program is free software;  you can redistribute it and/or 
// modify it under the terms of the GNU General Public License as 
// published by the Free Software Foundation; either version 2 of 
// the License, or (at your option) any later version.            
//                                                                
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
// GNU General Public License for more details.                   
//                                                                
// You should have received a copy of the GNU General Public      
// License along with this program; if not, write to the Free     
// Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
// MA  02111-1307  USA                                            

#ifndef __puma_manipulator_classes__
#define __puma_manipulator_classes__

// Puma manipulator classes.
//
// ManipError..................Error reporting class for manipulators.
// Manipulator.................Abstract base class for manipulators.
// ManipulatorSequence.........A sequence of manipulator objects.
//
// CopyManipulator.............Copy one or more tokens into buffer.
// CutManipulator..............Remove one or more tokens and copy in buffer.
// KillManipulator.............Remove one or more tokens permanently.
// PasteManipulator............Insert a list of tokens at given position.
// PasteBeforeManipulator......Insert a list of tokens before given position.
// MoveManipulator.............Shift a list of tokens at given position.
// MoveBeforeManipulator.......Shift a list of tokens before given position.
//
// CKillManipulator..........Remove all tokens of a tree permanently.
// CCopyManipulator..........Copy a tree after the last token of a 2nd tree.
// CCopyBeforeManipulator....Copy a tree before the first token of a 2nd tree.
// CMoveManipulator..........Move a tree after the last token of a 2nd tree.
// CMoveBeforeManipulator....Move a tree before the first token of a 2nd tree.
// CReplaceManipulator.......Replace a tree with an other tree.
// CSwapManipulator..........Swap two trees.

#include "Puma/Unit.h"
#include "Puma/List.h"
#include "Puma/CTree.h"
#include "Puma/Array.h"
#include "Puma/Token.h"
#include "Puma/Printable.h"
#include "Puma/RuleTable.h"

namespace Puma {


// Manipulator error structure. 

class Manipulator;


#line 135 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 59 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class ManipError : public Printable {
#line 171 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 59 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 178 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 59 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  int                 _errorno;        // The error number. See below.
  Manipulator *_faulty;                // The faulty manipulator.

public:
  enum {
    UNBALANCED = -3,        // Unbalanced preprocessor directives found.
    MACRO_GEN,                // Wanted to manipulate macro generated tokens.
    BAD_ARG,                // Bad arguments has been given to manipulator.
    FATAL,                // Fatal errors, like NULL pointer buffer.
    OK                        // Everything seems to be correct.
  };
    
  ManipError () : _faulty(0) {}

  // Get ...
  int                 errorno () const  { return _errorno; }
  Manipulator *faulty ()  const  { return _faulty; }
  // An error is true if there really was an error.
  operator bool () const         { return _errorno != OK; }
        
  // Set ...
  void errorno  (int number)       { _errorno = number; }
  void faulty (Manipulator *manip) { _faulty  = manip; }

  // Print ...
  void print (ostream &os) const;

  // There has to be a first arg ...
  Location location ();
};
 

// Enum for checks which should NOT be performed on a Manipulator
enum ManipIgnoreMask { MIM_NONE = 0, MIM_UNBALANCED = 1, MIM_MACRO = 2 };


enum ManipMode {
  MM_NO_MACRO_MANIP, // Macro-generated tokens are not transformed unless they are at the end/begin of an
                     // expansion. In this case the token is replace by the macro call end/begin.
  MM_EXPAND_MACROS   // Macros are expanded on demand.
};


// Abstract base class for manipulator classes.


#line 258 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 105 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class Manipulator : public ListElement {
#line 294 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 105 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 301 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 105 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"


  ManipIgnoreMask _ignore;
  
protected:        
  Manipulator () : _ignore (MIM_NONE) {}

  int valid (Token *, Token *, ManipMode) const;

public:
  // Manipulator identifiers used to identify a manipulator typ.
  static const char *copy_op;
  static const char *cut_op;
  static const char *paste_op; 
  static const char *paste_before_op; 
  static const char *move_op; 
  static const char *move_before_op; 
  static const char *kill_op;
  static const char *cpp_copy_op; 
  static const char *cpp_copy_before_op; 
  static const char *cpp_kill_op; 
  static const char *cpp_move_op; 
  static const char *cpp_move_before_op;
  static const char *sequence_op;
  static const char *cpp_replace_op;
  static const char *cpp_swap_op;

  virtual ~Manipulator () {}

  virtual ManipError valid (ManipMode) const = 0;
  virtual void manipulate ()              = 0;
        
  virtual Array<Token*> &args ()     = 0;
  virtual void args (Array<Token*>&) = 0;
        
  virtual const char *op () const   = 0;
  virtual ListElement *duplicate () = 0;
  
  // set/get the ignore mask
  void ignore_mask (ManipIgnoreMask mim) { _ignore = mim; }
  ManipIgnoreMask ignore_mask () const { return _ignore; }
};
 

// Special manipulator class that manages a sequence of
// manipulator commands.


#line 382 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 152 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class ManipulatorSequence : public Manipulator, public List {
#line 418 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 152 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 425 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 152 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  RuleTable     _rules;
  Array<Token*> _empty;        // Not really used.
        
  void checkArgs (ManipError&, Manipulator*);

public:
  ManipulatorSequence () {}
        
  Array<Token*> &args () { return _empty; }
  void args (Array<Token*> &empty) {}

  const char *op () const { return sequence_op; }
  ListElement *duplicate ();

  ManipError valid (ManipMode mode) const;
  void manipulate ();
        
  void append (Manipulator *manip)
    { List::append (*manip); }
};

 
// The `copy' manipulator.


#line 484 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 177 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class CopyManipulator : public Manipulator {
#line 520 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 177 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 527 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 177 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_from;
  Token *_to;
  Unit * _buffer;
  Array<Token*> _arguments;
        
public:
  CopyManipulator (Unit *buffer, Token *from, Token *to = (Token*) 0);
  ~CopyManipulator () {}
                
  const char *op () const { return copy_op; }
  ListElement *duplicate () 
    { return new CopyManipulator (_buffer, _from, _to); }

  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);

  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (Unit *buffer, Token *from, Token *to = (Token*) 0)
    { _buffer = buffer; _from = from; _to = to; manipulate (); }
};


// The `cut' manipulator.


#line 588 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 204 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class CutManipulator : public Manipulator {
#line 624 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 204 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 631 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 204 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_from;
  Token *_to;
  Unit * _buffer;
  Array<Token*> _arguments;
        
public:
  CutManipulator (Unit *buffer, Token *from, Token *to = (Token*) 0);
  ~CutManipulator () {}

  const char *op () const { return cut_op; }
  ListElement *duplicate () 
    { return new CutManipulator (_buffer, _from, _to); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (Unit *buffer, Token *from, Token *to = (Token*) 0)
    { _buffer = buffer; _from = from; _to = to; manipulate (); }
};


// The `kill' manipulator.


#line 692 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 231 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class KillManipulator : public Manipulator {
#line 728 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 231 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 735 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 231 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_from;
  Token *_to;
  Array<Token*> _arguments;
        
public:
  KillManipulator (Token *from, Token *to = (Token*) 0);
  ~KillManipulator () {}

  const char *op () const { return kill_op; }
  ListElement *duplicate () 
    { return new KillManipulator (_from, _to); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (Token *from, Token *to = (Token*) 0)
    { _from = from; _to = to; manipulate (); }
};


// The `paste' manipulator.


#line 795 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 257 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class PasteManipulator : public Manipulator {
#line 831 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 257 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 838 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 257 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_at;
  Unit * _buffer;
  Array<Token*> _arguments;
        
public:
  PasteManipulator (Unit *buffer, Token *at);
  ~PasteManipulator () {}

  const char *op () const { return paste_op; }
  ListElement *duplicate () 
    { return new PasteManipulator (_buffer, _at); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (Unit *buffer, Token *at)
    { _buffer = buffer; _at = at; manipulate (); }
};


// The `paste_before' manipulator.


#line 898 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 283 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class PasteBeforeManipulator : public Manipulator {
#line 934 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 283 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 941 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 283 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_at;
  Unit * _buffer;
  Array<Token*> _arguments;
        
public:
  PasteBeforeManipulator (Unit *buffer, Token *at);
  ~PasteBeforeManipulator () {}
                
  const char *op () const { return paste_before_op; }
  ListElement *duplicate () 
    { return new PasteBeforeManipulator (_buffer, _at); }

  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (Unit *buffer, Token *at)
    { _buffer = buffer; _at = at; manipulate (); }
};


// The `move' manipulator.


#line 1001 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 309 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class MoveManipulator : public Manipulator {
#line 1037 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 309 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 1044 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 309 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_at;
  Unit * _buffer;
  Array<Token*> _arguments;
        
public:
  MoveManipulator (Unit *buffer, Token *at);
  ~MoveManipulator () {}

  const char *op () const { return move_op; }
  ListElement *duplicate () 
    { return new MoveManipulator (_buffer, _at); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (Unit *buffer, Token *at)
    { _buffer = buffer; _at = at; manipulate (); }
};


// The `move_before' manipulator.


#line 1104 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 335 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class MoveBeforeManipulator : public Manipulator {
#line 1140 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 335 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 1147 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 335 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_at;
  Unit * _buffer;
  Array<Token*> _arguments;
        
public:
  MoveBeforeManipulator (Unit *buffer, Token *at);
  ~MoveBeforeManipulator () {}
                
  const char *op () const { return move_before_op; }
  ListElement *duplicate () 
    { return new MoveBeforeManipulator (_buffer, _at); }

  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (Unit *buffer, Token *at)
    { _buffer = buffer; _at = at; manipulate (); }
};


// The C++ syntax tree `kill' manipulator.


#line 1207 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 361 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class CKillManipulator : public Manipulator {
#line 1243 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 361 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 1250 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 361 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_from;
  Token *_to;
  Array<Token*> _arguments;
        
public:
  CKillManipulator (CTree *what);
  CKillManipulator (Token*, Token*);
  ~CKillManipulator () {}

  const char *op () const { return cpp_kill_op; }
  ListElement *duplicate () 
    { return new CKillManipulator (_from, _to); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (CTree *what)
    { _from = what ? what->token () : (Token*) 0; 
      _to   = what ? what->end_token () : (Token*) 0; 
      manipulate (); }
};


// The C++ syntax tree `copy' manipulator.


#line 1313 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 390 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class CCopyManipulator : public Manipulator {
#line 1349 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 390 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 1356 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 390 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_from_from;
  Token *_from_to;
  Token *_to;
  Array<Token*> _arguments;

public:
  CCopyManipulator (CTree *from, CTree *to);
  CCopyManipulator (Token*, Token*, Token*);
  ~CCopyManipulator () {}

  const char *op () const { return cpp_copy_op; }
  ListElement *duplicate ()
    { return new CCopyManipulator (_from_from, _from_to, _to); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (CTree *from, CTree *to)
    { _from_from = from ? from->token () : (Token*) 0; 
      _from_to   = from ? from->end_token () : (Token*) 0;
      _to        = to ? to->end_token () : (Token*) 0;
      manipulate (); }
              
  void manipulate (Token *from, Token *to, Token *at)
    { _from_from = from; _from_to = to; _to = at; manipulate (); }
};


// The C++ syntax tree `copy_before' manipulator.


#line 1424 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 424 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class CCopyBeforeManipulator : public Manipulator {
#line 1460 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 424 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 1467 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 424 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_from_from;
  Token *_from_to;
  Token *_to;
  Array<Token*> _arguments;
        
public:
  CCopyBeforeManipulator (CTree *from, CTree *to);
  CCopyBeforeManipulator (Token*, Token*, Token*);
  ~CCopyBeforeManipulator () {}

  const char *op () const { return cpp_copy_before_op; }
  ListElement *duplicate ()
    { return new CCopyBeforeManipulator (_from_from, _from_to, _to); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (CTree *from, CTree *to)
    { _from_from = from ? from->token () : (Token*) 0; 
      _from_to   = from ? from->end_token () : (Token*) 0;
      _to        = to ? to->token () : (Token*) 0;
      manipulate (); }

  void manipulate (Token *from, Token *to, Token *at)
    { _from_from = from; _from_to = to; _to = at; manipulate (); }
};


// The C++ syntax tree `move' manipulator.


#line 1535 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 458 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class CMoveManipulator : public Manipulator {
#line 1571 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 458 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 1578 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 458 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_from_from;
  Token *_from_to;
  Token *_to;
  Array<Token*> _arguments;
        
public:
  CMoveManipulator (CTree *from, CTree *to);
  CMoveManipulator (Token*, Token*, Token*);
  ~CMoveManipulator () {}

  const char *op () const { return cpp_move_op; }
  ListElement *duplicate ()
    { return new CMoveManipulator (_from_from, _from_to, _to); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (CTree *from, CTree *to)
    { _from_from = from ? from->token () : (Token*) 0; 
      _from_to   = from ? from->end_token () : (Token*) 0;
      _to        = to ? to->end_token () : (Token*) 0;
      manipulate (); }

  void manipulate (Token *from, Token *to, Token *at)
    { _from_from = from; _from_to = to; _to = at; manipulate (); }
};


// The C++ syntax tree `move_before' manipulator.


#line 1646 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 492 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class CMoveBeforeManipulator : public Manipulator {
#line 1682 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 492 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 1689 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 492 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_from_from;
  Token *_from_to;
  Token *_to;
  Array<Token*> _arguments;

public:
  CMoveBeforeManipulator (CTree *from, CTree *to);
  CMoveBeforeManipulator (Token*, Token*, Token*);
  ~CMoveBeforeManipulator () {}

  const char *op () const { return cpp_move_before_op; }
  ListElement *duplicate ()
    { return new CMoveBeforeManipulator (_from_from, _from_to, _to); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (CTree *from, CTree *to)
    { _from_from = from ? from->token () : (Token*) 0; 
      _from_to   = from ? from->end_token () : (Token*) 0;
      _to        = to ? to->token () : (Token*) 0;
      manipulate (); }

  void manipulate (Token *from, Token *to, Token *at)
    { _from_from = from; _from_to = to; _to = at; manipulate (); } 
};


// The C++ syntax tree `replace' manipulator.


#line 1757 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 526 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class CReplaceManipulator : public Manipulator {
#line 1793 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 526 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 1800 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 526 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_what_from;
  Token *_what_to;
  Token *_with_from;
  Token *_with_to;
  Array<Token*> _arguments;
        
public:
  CReplaceManipulator (CTree *what, CTree *with);
  CReplaceManipulator (Token*, Token*, Token*, Token*);
  ~CReplaceManipulator () {}

  const char *op () const { return cpp_replace_op; }
  ListElement *duplicate ()
    { return new CReplaceManipulator (_what_from, _what_to, 
                                                _with_from, _with_to); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (CTree *what, CTree *with)
    { _what_from = what ? what->token () : (Token*) 0; 
      _what_to   = what ? what->end_token () : (Token*) 0;
      _with_from = with ? with->token () : (Token*) 0; 
      _with_to   = with ? with->end_token () : (Token*) 0;
      manipulate (); }

  void manipulate (Token *wf, Token *wt, Token *tf, Token *tt)
    { _what_from = wf; _what_to = wt; _with_from = tf;
      _with_to = tt; manipulate (); }
};


// The C++ syntax tree `swap' manipulator.


#line 1872 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
} // closed Puma
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
namespace Puma {

#line 564 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"
class CSwapManipulator : public Manipulator {
#line 1908 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
public:
  template <typename, int = 0> struct Caller {};
  template <typename, int> friend struct Caller;
private:
#line 564 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

#line 1915 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"
  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 564 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step1/inc/Puma/Manipulators.h"

  Token *_what_from;
  Token *_what_to;
  Token *_with_from;
  Token *_with_to;
  Array<Token*> _arguments;
        
public:
  CSwapManipulator (CTree *what, CTree *with);
  CSwapManipulator (Token*, Token*, Token*, Token*);
  ~CSwapManipulator () {}

  const char *op () const { return cpp_swap_op; }
  ListElement *duplicate ()
    { return new CSwapManipulator (_what_from, _what_to, 
                                   _with_from, _with_to); }
                
  Array<Token*> &args () { return _arguments; }
  void args (Array<Token*>&);
                
  ManipError valid (ManipMode) const;
  void manipulate ();
        
  void manipulate (CTree *what, CTree *with)
    { _what_from = what ? what->token () : (Token*) 0; 
      _what_to   = what ? what->end_token () : (Token*) 0;
      _with_from = with ? with->token () : (Token*) 0; 
      _with_to   = with ? with->end_token () : (Token*) 0;
      manipulate (); }

  void manipulate (Token *wf, Token *wt, Token *tf, Token *tt)
    { _what_from = wf; _what_to = wt; _with_from = tf;
      _with_to = tt; manipulate (); }
};


} // namespace Puma

#endif /* __puma_manipulator_classes__ */

#line 1988 "/home/iurt/rpmbuild/BUILD/aspectc++/Puma/gen-release/step2/inc/Puma/Manipulators.h"

#ifdef __ac_FIRST_FILE__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_inc_Puma_Manipulators_h__
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCExprResolveCC_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCExprResolveCC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCExprResolveCC_ah__
#include "Puma/CCExprResolveCC.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCExprResolveH_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCExprResolveH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCExprResolveH_ah__
#include "Puma/CCExprResolveH.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CExprResolveCC_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CExprResolveCC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CExprResolveCC_ah__
#include "Puma/CExprResolveCC.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CExprResolveH_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CExprResolveH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CExprResolveH_ah__
#include "Puma/CExprResolveH.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxState_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxState_ah__
#include "Puma/SyntaxState.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_LookAhead_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_LookAhead_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_LookAhead_ah__
#include "Puma/LookAhead.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CBuilderExtension_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CBuilderExtension_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CBuilderExtension_ah__
#include "Puma/CBuilderExtension.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CLookAhead_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CLookAhead_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CLookAhead_ah__
#include "Puma/CLookAhead.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CSemBinding_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CSemBinding_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CSemBinding_ah__
#include "Puma/CSemBinding.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCBuilderExtension_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCBuilderExtension_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCBuilderExtension_ah__
#include "Puma/CCBuilderExtension.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCLookAhead_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCLookAhead_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCLookAhead_ah__
#include "Puma/CCLookAhead.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCSemBinding_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_LookAhead_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_LookAhead_ah__
#include "Puma/LookAhead.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CLookAhead_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CLookAhead_ah__
#include "Puma/CLookAhead.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CSemBinding_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CSemBinding_ah__
#include "Puma/CSemBinding.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCLookAhead_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCLookAhead_ah__
#include "Puma/CCLookAhead.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCSemBinding_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_CCSemBinding_ah__
#include "Puma/CCSemBinding.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinAsm_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinAsm_ah__
#include "Puma/WinAsm.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinDeclSpecs_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinDeclSpecs_ah__
#include "Puma/WinDeclSpecs.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#include "Puma/WinMemberExplSpec.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinTypeKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinTypeKeywords_ah__
#include "Puma/WinTypeKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinFriend_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinFriend_ah__
#include "Puma/WinFriend.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#include "Puma/ExtACSyntaxH.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinIfExists_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinIfExists_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinIfExists_ah__
#include "Puma/WinIfExists.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinImportHandler_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinImportHandler_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinImportHandler_ah__
#include "Puma/WinImportHandler.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinMacros_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinMacros_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinMacros_ah__
#include "Puma/WinMacros.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinAsm_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinAsm_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinAsm_ah__
#include "Puma/WinAsm.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinDeclSpecs_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinDeclSpecs_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinDeclSpecs_ah__
#include "Puma/WinDeclSpecs.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#include "Puma/WinMemberExplSpec.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinTypeKeywords_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinTypeKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinTypeKeywords_ah__
#include "Puma/WinTypeKeywords.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinFriend_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinFriend_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinFriend_ah__
#include "Puma/WinFriend.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtAC_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderH_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderCC_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderCC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACBuilderCC_ah__
#include "Puma/ExtACBuilderCC.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#include "Puma/ExtACSyntaxH.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACSyntaxCC_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACSyntaxCC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACSyntaxCC_ah__
#include "Puma/ExtACSyntaxCC.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#include "Puma/ExtGnuCInfos.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#include "Puma/ExtGnuCSemantic.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#include "Puma/ExtGnuCSemExpr.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#include "Puma/ExtGnuCSemDeclSpecs.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XBuilderH_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XBuilderH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XBuilderH_ah__
#include "Puma/ExtCC1XBuilderH.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XBuilderCC_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XBuilderCC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XBuilderCC_ah__
#include "Puma/ExtCC1XBuilderCC.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSyntaxH_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSyntaxH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSyntaxH_ah__
#include "Puma/ExtCC1XSyntaxH.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSyntaxCC_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSyntaxCC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSyntaxCC_ah__
#include "Puma/ExtCC1XSyntaxCC.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSemanticH_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSemanticH_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSemanticH_ah__
#include "Puma/ExtCC1XSemanticH.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSemanticCC_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSemanticCC_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_ExtCC1XSemanticCC_ah__
#include "Puma/ExtCC1XSemanticCC.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnce_ah__
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnce_ah__
#define __ac_have__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_aspects_Puma_PragmaOnce_ah__
#include "Puma/PragmaOnce.ah"
#endif
#endif
#undef __ac_FIRST__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1__
#undef __ac_FIRST_FILE__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_inc_Puma_Manipulators_h__
#endif // __ac_FIRST_FILE__home_iurt_rpmbuild_BUILD_aspectc4343_Puma_gen45release_step1_inc_Puma_Manipulators_h__
